<?xml version='1.0' encoding='ISO-8859-1'?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/xhtml"
                version="1.0">

  <!-- Declare our output type -->
  <xsl:output method="xml"
              indent="no"
              omit-xml-declaration="no"
              encoding="utf-8"
              doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
              doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" />

  <!-- Pass through almost every node -->
  <xsl:template match="@*|node()" priority="-1">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template> 

  <!-- When we see a archopt tag, process it -->
  <xsl:template match="archopt">

    <!-- Choose which item we are to render, $clfs.arch or 'default' -->
    <xsl:variable name="archref">
      <xsl:choose>
        <xsl:when test="count(archentry[contains(concat(concat('|', @arch), '|'), concat(concat('|', $clfs.arch), '|'))]) = 0">
          <xsl:text>default</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$clfs.arch"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Render the requested item(s) -->
    <xsl:for-each select="archentry[contains(concat(concat('|', @arch), '|'), concat(concat('|', $archref), '|'))]">
      <xsl:apply-templates/>
    </xsl:for-each>

  </xsl:template>

</xsl:stylesheet>
